# When building version under development (non-release)
# %%global snap -SNAPSHOT
%global snap %{nil}

Name:           tycho-extras
Version:        0.25.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Additional plugins for Tycho

License:        EPL
URL:            http://eclipse.org/tycho/
Source0:        http://git.eclipse.org/c/tycho/org.eclipse.tycho.extras.git/snapshot/org.eclipse.tycho.extras-tycho-extras-%{version}.tar.xz
Patch0:         %{name}-fix-build.patch
Patch1:         %{name}-use-custom-resolver.patch
Patch2:         tycho-maven-archiver-3.0.1.patch

BuildArch:      noarch

BuildRequires:  jgit
BuildRequires:  maven-local
BuildRequires:  tycho >= %{version}
BuildRequires:  mvn(io.takari.polyglot:polyglot-common)

Obsoletes:      tycho-pomless < 0.0.1-0.4

%description
A small set of plugins that work with Tycho to provide additional functionality
when building projects of an OSGi nature.


%package javadoc
Summary:        Java docs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n org.eclipse.tycho.extras-tycho-extras-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0

# maven-properties-plugin is only needed for tests
%pom_remove_plugin org.eclipse.m2e:lifecycle-mapping
%pom_remove_plugin org.sonatype.plugins:maven-properties-plugin tycho-p2-extras-plugin
# remove org.apache.maven:apache-maven zip
%pom_remove_dep org.apache.maven:apache-maven tycho-p2-extras-plugin
%pom_add_dep org.fedoraproject.p2:org.fedoraproject.p2 tycho-eclipserun-plugin/pom.xml

%mvn_alias :{*} org.eclipse.tycho:@1

%build
# To run tests, we need :
# maven-properties-plugin (unclear licensing)
%mvn_build -f

%install
%mvn_install

# Install extension JAR with deps into XMvn ext directory
install -d -m 755 %{buildroot}%{_datadir}/xmvn/lib/ext/
ln -s %{_javadir}/%{name}/tycho-pomless.jar %{buildroot}%{_datadir}/xmvn/lib/ext/
ln -s %{_javadir}/tesla-polyglot/polyglot-common.jar %{buildroot}%{_datadir}/xmvn/lib/ext/

%files -f .mfiles
%{_datadir}/xmvn/lib/ext/*

%files javadoc -f .mfiles-javadoc




%changelog
* Mon May 02 2016 neoclust <neoclust> 0.25.0-1.mga6
+ Revision: 1008611
- New version 0.25.0
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0.23.0-4.mga6
+ Revision: 978202
- First rebuild of the java stack
- sync package tycho-extras with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 30 2014 pterjan <pterjan> 0.21.0-2.mga5
+ Revision: 807478
- Clean rebuild
- Sync with Fedora 21 (Update to 0.21.0)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Jan 08 2014 dmorgan <dmorgan> 0.18.1-3.mga4
+ Revision: 565536
- Fix BuildRequires

* Mon Oct 21 2013 umeabot <umeabot> 0.18.1-2.mga4
+ Revision: 536947
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 dmorgan <dmorgan> 0.18.1-1.mga4
+ Revision: 486010
- New version

* Mon Jan 14 2013 umeabot <umeabot> 0.16.0-2.mga3
+ Revision: 384934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 dmorgan <dmorgan> 0.16.0-1.mga3
+ Revision: 326998
- Fix needed java version
- imported package tycho-extras


* Fri Oct 19 2012 Roland Grunberg <rgrunber@redhat.com> 0.16.0-2
- Update to 0.16.0 Release.

* Mon Jul 30 2012 Roland Grunberg <rgrunber@redhat.com> 0.16.0-1.e58861
- Update to 0.16.0 SNAPSHOT.

* Fri Jul 27 2012 Roland Grunberg <rgrunber@redhat.com> 0.15.0-1
- Update to 0.15.0.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 16 2012 Roland Grunberg <rgrunber@redhat.com> - 0.14.0-1
- Initial packaging of tycho extras.
